<template>
	<view>
		<view class="itemstyle">
			<uni-forms label-width="180">
				<uni-forms-item label="托盘条码:">
					<uni-easyinput type="text" placeholder="请扫描托盘条码" ref='midInput' :focus="!focus" v-model="barcode"
						@input="barcodeInput" />
				</uni-forms-item>
				<uni-forms-item>
					<button @click="AGVFinish" type="primary" size="default" style="margin-top: 2%;">确认完成</button>
				</uni-forms-item>
			</uni-forms>
		</view>
		<u-toast ref="uToast" />
	</view>
</template>

<script>
	const innerAudioContext = uni.createInnerAudioContext();
	export default {
		data() {
			return {
				focus: false,
				barcode: "",
			}
		},
		onShow() {},
		onLoad(res) {
			this.focus = false;
		},
		methods: {
			voiceSpeech(src) {
				innerAudioContext.src = src; // '../../static/success.mp3';
				innerAudioContext.play();
			},
			barcodeInput() {
				this.$nextTick(function(x) {
					if (this.barcode.length > 0) {
						this.focus = true;
					}
				})
			},
			AGVFinish() {
				if (this.barcode == "") {
					this.$refs.uToast.show({
						title: "请扫描托盘码",
						type: 'error'
					})
					return;
				}
				this.$u.post('http://127.0.0.1:9291/api/CTU_AGV/AGVFinish?&barcode=' + this.barcode).then(
					res => {
						if (res.status) {
							this.$refs.uToast.show({
								title: "完成成功",
								type: "success"
							})
							this.barcode = "";
						} else {
							this.$refs.uToast.show({
								title: res.message,
								type: "error"
							})
						}
					})
			},
		}
	}
</script>

<style lang="scss">
	@import '@/common/uni-ui.scss';

	.content {
		display: flex;
		height: 150px;
	}

	.content-text {
		font-size: 14px;
		color: #666;
	}

	.itemstyle {
		margin-top: 30px;
		margin-left: 5%;
	}

	.headerstyle {
		width: 90%;
	}
</style>